## olap4j 1.0.1.500

=== debian/changelog ===
olap4j (1.0.1.500-2) unstable; urgency=low

  * Team upload.
  * Compatible with java7: unmappable character for encoding ASCII
    (Closes: #717258)

  [ Sylvestre Ledru ]
  * Change the maintainer for the Java team.
  * Standards-Version updated to 3.9.4

 -- ShuxiongYe <yeshuxiong@gmail.com>  Fri, 19 Jul 2013 03:39:47 +0800

olap4j (1.0.1.500-1) unstable; urgency=low

  * New upstream release:
    - Fix compatibility with JDBC 4.1 (Java 7).
  * Switch to 3.0 (quilt) source format.
  * d/control: Bump Standards-Version to 3.9.3: no changes needed.
  * d/control: Remove JRE dependency for library package.
  * Remove deprecated OLAP4J Specification from -doc package.
  * d/copyright: Upgrade to lastest copyright format 1.0

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 26 Jun 2012 23:01:28 +0200

olap4j (0.9.8~svn293-1) unstable; urgency=low

  * Initial release. (Closes: #560236)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 13 Dec 2009 17:51:53 +0100
