=== debian/control ===
Source: olap4j
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
Build-Depends-Indep: ant-contrib,
                     ant-optional,
                     cup (>= 0.11a+20060608),
                     default-jdk-doc,
                     junit,
                     junit-doc,
                     libcommons-dbcp-java,
                     liblog4j1.2-java,
                     libxerces2-java
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/olap4j
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/olap4j
Homepage: http://www.olap4j.org/

Package: libolap4j-java
Architecture: all
Depends: libcommons-dbcp-java,
         liblog4j1.2-java,
         libxerces2-java,
         ${misc:Depends}
Description: unified Java API to access an OLAP server
 olap4j is a Java library to access a OLAP server with an unified API :
 you may switch your OLAP server to another implementation with ease.
 .
 It can be compared to JDBC for SQL servers.
 .
 This project is supported by many libre software project in this area :
  * Jasperreports
  * Mondrian
  * Pentaho

Package: libolap4j-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc, junit-doc
Suggests: libolap4j-java
Description: unified Java API to access an OLAP server - documentation
 olap4j is a Java library to access a OLAP server with an unified API :
 you may switch your OLAP server to another implementation with ease.
 .
 It can be compared to JDBC for SQL servers.
 .
 This project is supported by many libre software project in this area :
  * Jasperreports
  * Mondrian
  * Pentaho
 .
 This package contains Javadoc API of olap4j package.
