=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_JARS             := cup log4j-1.2 xercesImpl commons-dbcp junit ant-junit ant-nodeps ant-trax ant-contrib

DEB_ANT_BUILD_TARGET := version-properties jar xmla-jar tck-jar javadoc
# olap4j need mondrian for testing.
# => disable to remove some cycle in Build-Depends
#DEB_ANT_CHECK_TARGET := test
DEB_ANT_CLEAN_TARGET := clean

install/libolap4j-java::
	dh_install dist/olap4j-$(DEB_UPSTREAM_VERSION).jar usr/share/java
	dh_install dist/olap4j-xmla-$(DEB_UPSTREAM_VERSION).jar usr/share/java
	dh_install dist/olap4j-tck-$(DEB_UPSTREAM_VERSION).jar usr/share/java
	dh_link usr/share/java/olap4j-$(DEB_UPSTREAM_VERSION).jar usr/share/java/olap4j.jar
	dh_link usr/share/java/olap4j-xmla-$(DEB_UPSTREAM_VERSION).jar usr/share/java/olap4j-xmla.jar
	dh_link usr/share/java/olap4j-tck-$(DEB_UPSTREAM_VERSION).jar usr/share/java/olap4j-tck.jar

get-orig-source:
	uscan --force-download
