## olap4j 1.2.0

=== debian/changelog ===
olap4j (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Chris West (Faux) ]
  * Fix build with Java 9 by fiddling generics. (Closes: #873216)

  [ Markus Koschany ]
  * Switch to compat level 10.
  * Use canonical VCS address.
  * d/copyright: Use https for Format field.
  * Declare compliance with Debian Policy 4.1.2.
  * Build for Java 7.

 -- Markus Koschany <apo@debian.org>  Tue, 26 Dec 2017 21:23:40 +0100

olap4j (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Refreshed the patches
    - Replaced the build dependency on cup with javacc
    - Removed the dependency on liblog4j1.2-java
  * Install the Maven artifacts
  * Improved the reproducibility:
    - Set the locale when generating the javadoc and remove the timestamps)
    - Removed VERSION.txt from the jar files (contains timestamps, usernames)
  * debian/control:
    - Moved the dependency on libcommons-dbcp-java to Suggests
    - Standards-Version updated to 3.9.6 (no changes)
  * Use XZ compression for the upstream tarball
  * Moved the package to Git
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 21 Oct 2015 11:17:12 +0200
