=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: ant, cdbs, debhelper (>= 7), default-jdk
+Build-Depends: ant, cdbs, debhelper (>= 10), default-jdk, maven-repo-helper
 Build-Depends-Indep: ant-contrib,
                      ant-optional,
-                     cup (>= 0.11a+20060608),
                      default-jdk-doc,
+                     javacc,
                      junit,
                      junit-doc,
                      libcommons-dbcp-java,
-                     liblog4j1.2-java,
+                     libeigenbase-farrago-java,
+                     libmondrian-java,
                      libxerces2-java
-Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/olap4j
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/olap4j
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/olap4j.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-java/olap4j.git
 Homepage: http://www.olap4j.org/
 
 Package: libolap4j-java
 Architecture: all
-Depends: libcommons-dbcp-java,
-         liblog4j1.2-java,
-         libxerces2-java,
+Depends: libxerces2-java,
          ${misc:Depends}
+Suggests: libcommons-dbcp-java
 Description: unified Java API to access an OLAP server
  olap4j is a Java library to access a OLAP server with an unified API :
  you may switch your OLAP server to another implementation with ease.
