=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java

DEB_JARS             := xercesImpl commons-dbcp junit ant-junit ant-nodeps ant-trax ant-contrib

DEB_ANT_BUILD_TARGET := version-properties jar xmla-jar tck-jar javadoc
# olap4j need mondrian for testing.
# => disable to remove some cycle in Build-Depends
#DEB_ANT_CHECK_TARGET := test
DEB_ANT_CLEAN_TARGET := clean

install/libolap4j-java::
	mh_installpom -plibolap4j-java debian/pom-olap4j.xml
	mh_installjar -plibolap4j-java --has-package-version --java-lib debian/pom-olap4j.xml dist/olap4j-$(DEB_UPSTREAM_VERSION).jar

	mh_installpom -plibolap4j-java debian/pom-olap4j-xmla.xml
	mh_installjar -plibolap4j-java --has-package-version --java-lib debian/pom-olap4j-xmla.xml dist/olap4j-xmla-$(DEB_UPSTREAM_VERSION).jar

	mh_installpom -plibolap4j-java debian/pom-olap4j-tck.xml
	mh_installjar -plibolap4j-java --has-package-version --java-lib debian/pom-olap4j-tck.xml dist/olap4j-tck-$(DEB_UPSTREAM_VERSION).jar

clean::
	mh_clean

get-orig-source:
	uscan --force-download
