=== debian/watch ===
version=3
http://sf.net/olap4j/olap4j-([\d\.]+).zip debian debian/orig-tar.sh
