## olap4j 1.3.0+dfsg

=== debian/changelog ===
olap4j (1.3.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.7.2 (no change)
  * Removing the nocheck annotation from three B-D (Closes: #1116830)

 -- Pierre Gruet <pgt@debian.org>  Sat, 04 Oct 2025 23:04:07 +0200

olap4j (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Building with Maven, adding Maven rules
  * Skipping tests, that are relying on newer mondrian
  * Calling javacc and filling in a template Java file from d/rules
  * Using javahelper to fill in the classpath and generate dependencies
  * Changing the install path of the Javadoc
  * Adding a Lintian override for embedded JS
  * Expliciting Rules-Requires-Root: no
  * Marking the -doc package as Multi-Arch: foreign

  [ Andreas Tille ]
  * Point Homepage to Github
  * Fix watch file
  * d/copyright: review (thanks to lrc)
  * Install NOTICE file
  * Fix Vcs fields
  * Switch from cdbs to dh
  * debhelper-compat = 13
  * Exclude files via Files-Excluded
  * Standards-Version: 4.7.0 (routine-update)
  * Delete debian/README.source
  * New upstream version
  * New upstream version 1.3.0+dfsg
  * Try building new upstream version but failed

 -- Pierre Gruet <pgt@debian.org>  Fri, 31 Jan 2025 16:50:16 +0100
