=== debian/control ===
--- 
+++ 
@@ -3,25 +3,35 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: ant, cdbs, debhelper (>= 10), default-jdk, maven-repo-helper
-Build-Depends-Indep: ant-contrib,
-                     ant-optional,
-                     default-jdk-doc,
-                     javacc,
-                     junit,
+Build-Depends: debhelper-compat (= 13),
+               javahelper,
+               maven-debian-helper
+Build-Depends-Indep: default-jdk-doc,
+                     default-jdk-headless,
+                     junit <!nocheck>,
                      junit-doc,
-                     libcommons-dbcp-java,
-                     libeigenbase-farrago-java,
+                     libcommons-collections3-java,
+                     libcommons-dbcp2-java,
+                     libcommons-logging-java,
+                     libcommons-math-java,
+                     libcommons-pool-java,
+                     libcommons-vfs-java,
+                     libh2-java,
+                     liblog4j1.2-java,
+                     libjavacc-maven-plugin-java,
+                     libmaven-javadoc-plugin-java,
                      libmondrian-java,
+                     libservlet-api-java,
                      libxerces2-java
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/olap4j.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-java/olap4j.git
-Homepage: http://www.olap4j.org/
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/java-team/olap4j
+Vcs-Git: https://salsa.debian.org/java-team/olap4j.git
+Homepage: https://github.com/olap4j/olap4j
+Rules-Requires-Root: no
 
 Package: libolap4j-java
 Architecture: all
-Depends: libxerces2-java,
+Depends: ${java:Depends},
          ${misc:Depends}
 Suggests: libcommons-dbcp-java
 Description: unified Java API to access an OLAP server
@@ -38,6 +48,7 @@
 Package: libolap4j-java-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: default-jdk-doc, junit-doc
 Suggests: libolap4j-java
