=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with javahelper

# Filling in the DriverVersion java class with Debian build info and calling javacc
execute_before_dh_auto_configure:
	mkdir -p  target/generated-sources/javacc/org/olap4j/driver/xmla/
	sed -e "s/^class/public class/" -e "s/@pomversion@/$(DEB_VERSION_UPSTREAM)/" -e "s/@buildtime@/$(SOURCE_DATE_EPOCH)/" src/resources/version/XmlaOlap4jDriverVersion.java.template > src/org/olap4j/driver/xmla/XmlaOlap4jDriverVersion.java
	cd src/org/olap4j/mdx/parser/impl/ && javacc MdxParser.jj

# Clearing the files we generated by hand
execute_after_dh_clean:
	$(RM) src/org/olap4j/driver/xmla/XmlaOlap4jDriverVersion.java
	cd src/org/olap4j/mdx/parser/impl/ && \
	    for F in *.java; do \
	        if [ $$F != "DefaultMdxParserImpl.java" ]; then \
	            $(RM) $$F; \
	        fi; \
	    done
